// CHECKSTYLE:OFF

package org.eclipse.hudson.plugins.git;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Failed to clean the workspace
     * 
     */
    public static String GitAPI_Workspace_FailedCleanupMsg() {
        return holder.format("GitAPI.Workspace.FailedCleanupMsg");
    }

    /**
     * Failed to clean the workspace
     * 
     */
    public static Localizable _GitAPI_Workspace_FailedCleanupMsg() {
        return new Localizable(holder, "GitAPI.Workspace.FailedCleanupMsg");
    }

    /**
     * Could not clone {0}
     * 
     */
    public static String GitAPI_Repository_FailedCloneMsg(Object arg1) {
        return holder.format("GitAPI.Repository.FailedCloneMsg", arg1);
    }

    /**
     * Could not clone {0}
     * 
     */
    public static Localizable _GitAPI_Repository_FailedCloneMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Repository.FailedCloneMsg", arg1);
    }

    /**
     * {0} cloned successful to {1}
     * 
     */
    public static String GitAPI_Repository_CloneSuccessMsg(Object arg1, Object arg2) {
        return holder.format("GitAPI.Repository.CloneSuccessMsg", arg1, arg2);
    }

    /**
     * {0} cloned successful to {1}
     * 
     */
    public static Localizable _GitAPI_Repository_CloneSuccessMsg(Object arg1, Object arg2) {
        return new Localizable(holder, "GitAPI.Repository.CloneSuccessMsg", arg1, arg2);
    }

    /**
     * Failed to delete workspace
     * 
     */
    public static String GitAPI_Workspace_FailedDeleteMsg() {
        return holder.format("GitAPI.Workspace.FailedDeleteMsg");
    }

    /**
     * Failed to delete workspace
     * 
     */
    public static Localizable _GitAPI_Workspace_FailedDeleteMsg() {
        return new Localizable(holder, "GitAPI.Workspace.FailedDeleteMsg");
    }

    /**
     * Couldn't check for .git
     * 
     */
    public static String GitAPI_Repository_FailedCheckMsg() {
        return holder.format("GitAPI.Repository.FailedCheckMsg");
    }

    /**
     * Couldn't check for .git
     * 
     */
    public static Localizable _GitAPI_Repository_FailedCheckMsg() {
        return new Localizable(holder, "GitAPI.Repository.FailedCheckMsg");
    }

    /**
     * Cannot create branch {0}
     * 
     */
    public static String GitAPI_Branch_CreateErrorMsg(Object arg1) {
        return holder.format("GitAPI.Branch.CreateErrorMsg", arg1);
    }

    /**
     * Cannot create branch {0}
     * 
     */
    public static Localizable _GitAPI_Branch_CreateErrorMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Branch.CreateErrorMsg", arg1);
    }

    /**
     * Seen branch in repository {0}
     * 
     */
    public static String GitAPI_Branch_BranchInRepoMsg(Object arg1) {
        return holder.format("GitAPI.Branch.BranchInRepoMsg", arg1);
    }

    /**
     * Seen branch in repository {0}
     * 
     */
    public static Localizable _GitAPI_Branch_BranchInRepoMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Branch.BranchInRepoMsg", arg1);
    }

    /**
     * Could not checkout {0} with start point {1}
     * 
     */
    public static String GitAPI_Branch_CheckoutErrorMsg(Object arg1, Object arg2) {
        return holder.format("GitAPI.Branch.CheckoutErrorMsg", arg1, arg2);
    }

    /**
     * Could not checkout {0} with start point {1}
     * 
     */
    public static Localizable _GitAPI_Branch_CheckoutErrorMsg(Object arg1, Object arg2) {
        return new Localizable(holder, "GitAPI.Branch.CheckoutErrorMsg", arg1, arg2);
    }

    /**
     * Error creating repositories
     * 
     */
    public static String GitSCM_Repository_CreationExceptionMsg() {
        return holder.format("GitSCM.Repository.CreationExceptionMsg");
    }

    /**
     * Error creating repositories
     * 
     */
    public static Localizable _GitSCM_Repository_CreationExceptionMsg() {
        return new Localizable(holder, "GitSCM.Repository.CreationExceptionMsg");
    }

    /**
     * Security error when trying to check for .git. Are you sure you have correct permissions?
     * 
     */
    public static String GitAPI_Repository_SecurityFailureCheckMsg() {
        return holder.format("GitAPI.Repository.SecurityFailureCheckMsg");
    }

    /**
     * Security error when trying to check for .git. Are you sure you have correct permissions?
     * 
     */
    public static Localizable _GitAPI_Repository_SecurityFailureCheckMsg() {
        return new Localizable(holder, "GitAPI.Repository.SecurityFailureCheckMsg");
    }

    /**
     * Could not delete branch {0}
     * 
     */
    public static String GitAPI_Branch_DeleteErrorMsg(Object arg1) {
        return holder.format("GitAPI.Branch.DeleteErrorMsg", arg1);
    }

    /**
     * Could not delete branch {0}
     * 
     */
    public static Localizable _GitAPI_Branch_DeleteErrorMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Branch.DeleteErrorMsg", arg1);
    }

    /**
     * Repository doesn't exists or not properly initialized.
     * 
     */
    public static String GitAPI_Repository_InvalidStateMsg() {
        return holder.format("GitAPI.Repository.InvalidStateMsg");
    }

    /**
     * Repository doesn't exists or not properly initialized.
     * 
     */
    public static Localizable _GitAPI_Repository_InvalidStateMsg() {
        return new Localizable(holder, "GitAPI.Repository.InvalidStateMsg");
    }

    /**
     * At least one repository should be configured
     * 
     */
    public static String GitSCM_Repository_MissedRepositoryExceptionMsg() {
        return holder.format("GitSCM.Repository.MissedRepositoryExceptionMsg");
    }

    /**
     * At least one repository should be configured
     * 
     */
    public static Localizable _GitSCM_Repository_MissedRepositoryExceptionMsg() {
        return new Localizable(holder, "GitSCM.Repository.MissedRepositoryExceptionMsg");
    }

    /**
     * Cannot commit {0}
     * 
     */
    public static String GitAPI_Commit_FailedMsg(Object arg1) {
        return holder.format("GitAPI.Commit.FailedMsg", arg1);
    }

    /**
     * Cannot commit {0}
     * 
     */
    public static Localizable _GitAPI_Commit_FailedMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Commit.FailedMsg", arg1);
    }

    /**
     * Invalid Git remote repository URL
     * 
     */
    public static String GitSCM_Repository_IncorrectRepositoryFormatMsg() {
        return holder.format("GitSCM.Repository.IncorrectRepositoryFormatMsg");
    }

    /**
     * Invalid Git remote repository URL
     * 
     */
    public static Localizable _GitSCM_Repository_IncorrectRepositoryFormatMsg() {
        return new Localizable(holder, "GitSCM.Repository.IncorrectRepositoryFormatMsg");
    }

    /**
     * .git directory already exists! Has it already been initialised?
     * 
     */
    public static String GitAPI_Repository_FailedInitTwiceMsg() {
        return holder.format("GitAPI.Repository.FailedInitTwiceMsg");
    }

    /**
     * .git directory already exists! Has it already been initialised?
     * 
     */
    public static Localizable _GitAPI_Repository_FailedInitTwiceMsg() {
        return new Localizable(holder, "GitAPI.Repository.FailedInitTwiceMsg");
    }

    /**
     * Cloning repository {0}
     * 
     */
    public static String GitAPI_Repository_CloningRepositoryMsg(Object arg1) {
        return holder.format("GitAPI.Repository.CloningRepositoryMsg", arg1);
    }

    /**
     * Cloning repository {0}
     * 
     */
    public static Localizable _GitAPI_Repository_CloningRepositoryMsg(Object arg1) {
        return new Localizable(holder, "GitAPI.Repository.CloningRepositoryMsg", arg1);
    }

}
